require 'discordrb'
require 'yaml'
require_relative 'lib/library'

@bot = Discordrb::Commands::CommandBot.new(
token:@bot_token,
client_id:@bot_id,
prefix:@prefix,#plefixを変更することでコマンドキーを変更できます。
)

@bot.message do|event|
  next if event.author.bot_account? #botの発言を無視
  dice_comment(event) unless event.content.slice(0)==@prefix
end

@bot.command(:s ,description: "#{@s_des}", usage: "#{@s_usage}") do |event|
	next if event.author.bot_account? #botの発言を無視
	bot_start(event)
end
	
@bot.command(:e, description: "#{@e_des}") do |event|
	next if event.author.bot_account? #botの発言を無視
	bot_end(event)
end

@bot.command(:dice , description:"#{@dice_des}" ) do |event|
	next if event.author.bot_account? #botの発言を無視
	dicecheck(event)
end

@bot.command(:command , description: "#{@command_des}") do |event|
	next if event.author.bot_account? #botの発言を無視
	bot_command(event)
end

@bot.command(:log_send ,description: "#{@log_send_des}") do |event|
	next if event.author.bot_account? #botの発言を無視
	bot_send(event)
end

@bot.command(:save , description: "#{@save_des}" , usage: "#{@save_usage}") do |event, start_time_str, end_time_str|
	next if event.author.bot_account? #botの発言を無視
	bot_log(event, start_time_str, end_time_str)
end

@bot.command(:save_tof , description: "#{@save_tof_des}" , usage: "#{@save_tof_usage}") do |event, start_time_str, end_time_str|
	next if event.author.bot_account? #botの発言を無視
	bot_log_tof(event, start_time_str, end_time_str)
end

#bot起動時の処理。
@bot.ready do |event|
	@BaseDir=__dir__
	bot_ready()
end

@bot.command(:shutdown,description: "#{@shutdown_des}" ,help_available: false) do |event|
  # コマンド入力している人がオーナーかチェックします
  if event.user.id == @ownerid.to_i
    # botを切断
    @bot.stop
  end
end



@bot.run